<?
ini_set( 'include_path', '.' );

/****************************************************/
/*	THESE SETTINGS MAY BE CONFIGURED				*/
/****************************************************/
define( 'SESSION_LIFETIME',	300 );

/****************************************************/
/*	THERE'S NOTHING TO EDIT BELOW THIS LINE			*/
/****************************************************/
define( 'APP_DIR',		realpath( dirname(__FILE__) ) );
define( 'MWF_DIR',		'mwftp5' );
define( 'HCLIB_DIR',	realpath( APP_DIR . '/' . MWF_DIR . '/_hclib' ) );
define( 'SESSION_DIR',	APP_DIR . '/' . MWF_DIR . '/_sessions' );

// DEFINE APP_WEB_DIR - in web_dir.php file
include_once( APP_DIR . '/' . MWF_DIR . '/web_dir.php' );
define( 'APP_ROOT_PAGE',	APP_WEB_DIR . '/index.php' );

// INCLUDE HCLIB
include_once( HCLIB_DIR . '/_init.php' );
$hcLib = new hcLib();
$hcLib->init();

// DEFINE MODULES PATHS
define( '_MODULE_FTP_DIR',		APP_DIR . '/' . MWF_DIR . '/ftp' );
define( '_MODULE_HOSTER_DIR',	APP_DIR . '/' . MWF_DIR . '/hoster' );
define( '_MODULE_PERSONAL_DIR',	APP_DIR . '/' . MWF_DIR . '/personal' );
define( '_MODULE_FREE_DIR',		APP_DIR . '/' . MWF_DIR . '/free' );
define( 'COMMON_FILES_DIR',		APP_DIR . '/' . MWF_DIR . '/common' );

// INSTANTIATE REQUEST AND RESPONSE
$req = new hcRequest;

// ADD HANDLERS
$app = 'hoster';
switch( $app ){
	case 'hoster':
		$versionFile = _MODULE_HOSTER_DIR . '/version.txt';
		include_once( _MODULE_HOSTER_DIR . '/_init.php' );
		break;
	case 'personal':
		$versionFile = _MODULE_PERSONAL_DIR . '/version.txt';
		include_once( _MODULE_PERSONAL_DIR . '/_init.php' );
		break;
	case 'free':
		$versionFile = _MODULE_FREE_DIR . '/version.txt';
		include_once( _MODULE_FREE_DIR . '/_init.php' );
		break;
	}

if( filesize($versionFile) > 0 ){
	$mwfVersion = fread($fp = fopen($versionFile, 'r'), filesize($versionFile));
	fclose($fp);
	}
define( 'APP_VERSION',	$mwfVersion );

$resp = new hcResponse( $req );
$resp->setTarget( APP_ROOT_PAGE );


// HERE'S THE LONG LIST OF DEFINES
define( 'CHNDL_FTP_HOST',	'ftp_host' );
define( 'CHNDL_FTP_TITLE',	'ftp_title' );
define( 'CHNDL_FTP_USER',	'ftp_user' );
define( 'CHNDL_FTP_PASS',	'ftp_pass' );
define( 'CHNDL_FTP_PORT',	'ftp_port' );
define( 'CHNDL_FTP_STARTDIR',	'dir' );


define( 'CHNDL_SITE_ID',	'site_id' );
define( 'CHNDL_ADMIN_PASS',	'admin_pass' );
define( 'CHNDL_OLD_PASS',	'old_pass' );
define( 'CHNDL_NEW_PASS1',	'new_pass1' );
define( 'CHNDL_NEW_PASS2',	'new_pass2' );
define( 'HTML_PERM_FORM_PREFIX',	'perm_' );

define( 'PARAM_TARGET_CONTROL',			'tc' );

define( 'CHNDL_FILE_NAME',				'file_name' );
define( 'CHNDL_RENAME_NEW_NAME',		'new_name' );
define( 'CHNDL_NEW_DIR_NAME',			'new_dir_name' );
define( 'CHNDL_NEW_FILE_NAME',			'new_file_name' );
define( 'CHNDL_MOVETO_DIR_NAME',		'moveto_dir_name' );
define( 'CHNDL_COPYTO_DIR_NAME',		'copyto_dir_name' );
define( 'CHNDL_COPYTO_NEW_FILE_NAME',	'copyto_new_name' );
define( 'CHNDL_MULTICOPYTO_DIR_NAME',	'multicopyto_dir_name' );
define( 'CHNDL_CHMOD_NEW_MODE',			'new_mode' );
define( 'CHNDL_UPLOAD_FIELD',			'upload_file' );
define( 'CHNDL_UPLOAD_MODE',			'upload_mode' );
define( 'CHNDL_TRANSLOAD_FIELD',		'transload_file' );
define( 'CHNDL_TRANSLOAD_MODE',			'transload_mode' );
define( 'CHNDL_FILE_CONTENT',			'file_content' );

define( 'CHNDL_FTPLOAD_FIELD',			'ftpload_file' );
define( 'CHNDL_FTPLOAD_MODE',			'ftpload_mode' );
define( 'CHNDL_FTPLOAD_SRC_HOST',		'ftpload_host' );
define( 'CHNDL_FTPLOAD_SRC_USER',		'ftpload_user' );
define( 'CHNDL_FTPLOAD_SRC_PASSWORD',	'ftpload_pass' );

define( 'CHNDL_EMAIL_ADDRESS',			'email_address' );

define( 'CHNDL_FILTER_VALUE_NAME',		'filter' );
define( 'CHNDL_DIR_NAME',				'dir' );

define( 'CHNDL_SAVEIN_DIR_NAME',		'savein_dir_name' );

define( 'UNZIP_MODE_TREE', 1 );
define( 'UNZIP_MODE_FLAT', 2 );

define( 'HTML_MAX_FILE_FIELDS',			10 );

/*
* CONSTANTS REQUIRED BY JAVASCRIPT
*/
define( 'HTML_DIV_ACTION_WRAPPER',			'wrp' );
define( 'HTML_DIV_ACTION_CALL_BUTTON',		'CallButton' );

// INCLUDE SOME FILES
include_once( APP_DIR . '/' . MWF_DIR . '/common/classes/mwfCommonView.php' );


// MISC INIT FUNCTION
function myInit( $fullFileName ){
	global $resp;
	$thisHandle = str_replace( '_init', '', basename($fullFileName, '.php') );
	$filesRelativeDir = $thisHandle . '_files';

	define( 'MODULE_ROOT_DIR', dirname($fullFileName) );
	$filesDir = realpath( MODULE_ROOT_DIR . '/' . $filesRelativeDir );
	define( 'FILES_DIR',	$filesDir );

	$filesWebDir = APP_WEB_DIR . '/' . MWF_DIR . '/' . basename( dirname($fullFileName) ) . '/' . $filesRelativeDir;
	define( 'FILES_WEB_DIR', $filesWebDir );

	// THIS FILE CODE INCLUDES
	include_once( FILES_DIR . '/include.php' );
	}
?>